﻿using System;
using System.Collections.Generic;
using System.Text;
using ReliableClientApp.ReliableService;
using System.ServiceModel.Description;
using System.Threading;

namespace ReliableClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Reliable Messaging Test Client......");

			Uri intermediateUri = new Uri("http://loner:8080/intermediate/httprouter");
			ClientViaBehavior behavior = new ClientViaBehavior(intermediateUri);
			using (ReliableMessagingClient proxy = new ReliableMessagingClient()) {
				proxy.Endpoint.Behaviors.Add(behavior);
				for (int i = 0; i < 10; i++) {
					proxy.ReliableMethod(String.Format("Message #{0}", i));
					Console.WriteLine("Invoke #{0}", i);
				}
			}
		}
	}
}
