﻿using System;
using System.Transactions;
using SessionfulClientApp.MsmqSessionfulService;

namespace SessionfulClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Sessionful MSMQ Client Sample......");

			using (TransactionScope scope = new TransactionScope()) {
				using (MsmqSessionfulServiceClient proxy = new MsmqSessionfulServiceClient()) {
					proxy.TestMethod1();
					proxy.TestMethod2();
					proxy.TestMethod3();
				}
				scope.Complete();
			}
		}
	}
}
