﻿using System;
using System.Messaging;

namespace MsmqClient
{
	class Program
	{
		//
		// MSMQ 클라이언트 프로그래밍 모델
		//
		static void Main(string[] args)
		{
			Console.WriteLine("MSMQ Client Example");

			// 메시지를 serialize 할 포맷터 설정
			BinaryMessageFormatter formatter = new BinaryMessageFormatter();

			// Queue 객체와 Message 객체를 생성하고 발송 한다.
			// (동기 전송)
			MessageQueue queue = new MessageQueue(".\\private$\\HelloWorldQueue");
			Message msg = new Message();
			msg.Formatter = formatter;
			msg.Body = "Hello World";
			queue.Send(msg);

			Console.WriteLine("Message sent...");
		}
	}
}
