﻿using System;
using System.Collections.Generic;
using System.Text;

using ContractAliasingClientApp.BookStore;

namespace ContractAliasingClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("BookStore (Contract Aliasing) Client Application");

			int orderid;

			using (MyBookStoreClient proxy = new MyBookStoreClient()) {
				orderid = proxy.PlaceOrder("GoPl", "999-9-999-99999-9", 2);
				Console.WriteLine("Place Order. Order ID = {0}", orderid);
				string[] results = proxy.SearchByTitle("WCF");
				Console.WriteLine("Search result :");
				foreach (string title in results) {
					Console.WriteLine("\t{0}", title);
				}
			}
		}
	}
}
