﻿using System;
using DataContractClient.BookStoreService;
using DataContractLibrary;

namespace DataContractClient
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Data Contract Sharing Test Client......");

			using (BookStoreClient proxy = new BookStoreClient()) {
				BookInfo info = proxy.GetBookInfo("000-005");
				Console.WriteLine("Book Information:\n  Title={0}\n  Author={1}\n  ISBN={2}\n  Price={3:#,##0} Won",
					info.Title, info.Author, info.Isbn, info.Price);
				Console.WriteLine("  Max Discount Price = {0:#,##0} Won", info.GetMaxDiscountPrice());
				info = proxy.GetBookInfo("000-007");
				Console.WriteLine("Book Information:\n  Title={0}\n  Author={1}\n  ISBN={2}\n  Price={3:#,##0} Won",
					info.Title, info.Author, info.Isbn, info.Price);
				Console.WriteLine("  Max Discount Price = {0:#,##0} Won", info.GetMaxDiscountPrice());
			}
		}
	}
}
