﻿using System;
using System.ServiceModel;

namespace TestServiceApp
{
	[ServiceContract]
	interface ITestContract
	{
		[OperationContract]
		void TestMethod();
	}

	class TestService : ITestContract
	{
		public void TestMethod()
		{
			Console.WriteLine("TestMethod() invoked......");
		}
	}

	class ServiceApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("WCF Logging Sample Service......");

			// 서비스 종점 및 바인딩 설정은 App.config 사용
			ServiceHost host = new ServiceHost(typeof(TestService));
			host.Open();
			Console.WriteLine("Press any key to stop the service");
			Console.ReadKey(true);
			host.Close();
		}
	}
}
