﻿using System;

using PerSessionClientApp.PerSessionService;

namespace PerSessionClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("PerSession Service Client Sample......");

			// 세션을 사용하는 NetTcpBinding을 이용한 호출
			using (PerSessionClient proxy = new PerSessionClient("NetTcpBinding_IPerSession")) {
				int count;
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
			}

			// 세션을 사용하지 않는 WSHttpBinding을 이용한 호출
			using (PerSessionClient proxy = new PerSessionClient("WSHttpBinding_IPerSession")) {
				int count;
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
			}
		}
	}
}
