﻿using System;

using SingletonClientApp.SingletonService;

namespace SingletonClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Singleton Service Client Sample......");

			// 세션을 사용하지 않는 WSHttpBinding을 이용한 호출
			using (SingletonClient proxy = new SingletonClient("BasicHttpBinding_ISingleton")) {
				int count;
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
			}

			// 세션을 사용하는 NetTcpBinding을 이용한 호출
			using (SingletonClient proxy = new SingletonClient("NetTcpBinding_ISingleton")) {
				int count;
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
			}
		}
	}
}
