﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography.X509Certificates;
using SecureClientApp.SecureService;
using System.Net;

namespace SecureClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Windows Authentication Test Client......");

			using (SecureServiceClient proxy = new SecureServiceClient()) {
				proxy.ClientCredentials.Windows.ClientCredential =
					new NetworkCredential("Tester", "1234");
				proxy.SecureMethod("Hello Windows Authentication...");
			}
		}
	}
}
