﻿using System;
using System.ServiceModel;
using System.ServiceModel.Description;
using TestClientApp.TestService;
using UserInfoExtension;

namespace TestClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Message Inspector Test Client......");

			UserInfo user = new UserInfo();
			user.UserId = "Tester";
			user.Name = "테스트 사용자";
			user.DeptId = "HR";
			UserInfo.Current = user;

			using (TestServiceClient proxy = new TestServiceClient()) {
				//proxy.Endpoint.Behaviors.Add(new UserInfoBehavior());

				proxy.DoServerWork("Call #1");
				proxy.DoServerWork("Call #2");
				proxy.DoServerWork("Call #3");
			}
		}
	}
}
