﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;

namespace TestServiceApp
{
	class ServiceApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Single Concurrency Mode Test Service ......");

			//StartPerCallService();
			//StartPerSessionService();
			StartSingletonService();
		}

		static void StartPerCallService()
		{
			ServiceHost host = new ServiceHost(typeof(PerCallService));
			host.Open();
			Console.WriteLine("PerCallService is started...");
			Console.ReadKey(false);
			host.Close();
		}

		static void StartPerSessionService()
		{
			ServiceHost host = new ServiceHost(typeof(PerSessionService));
			host.Open();
			Console.WriteLine("PerSessionService is started...");
			Console.ReadKey(false);
			host.Close();
		}

		static void StartSingletonService()
		{
			ServiceHost host = new ServiceHost(typeof(SingletonService));
			host.Open();
			Console.WriteLine("SingletonService is started...");
			Console.ReadKey(false);
			host.Close();
		}
	}
}
